import javax.swing.*;
import java.net.*;
import java.io.*;

/**
 * This is the ClientModel that creates and starts the application
 * @author Jung Son
 * @version 1.0 final release
 */ 
public class ClientModel{
  
  public static final int ILLUSTRATOR = -1;
  public static final int ASSISTANT = -2;
  public static final int IN_WAITROOM = -3;
  
  // Task.IDs
  public static final int ERROR = 0;
  public static final int DRAW = 70;
  public static final int ERASE = 71;
  public static final int COLOR_CHANGE = 80;
  public static final int SIZE_CHANGE = 81;
  public static final int LOGIN = 1;
  public static final int LOGOUT = 2;
  public static final int CREATE = 3;
  public static final int JOIN = 4;
  public static final int START = 5;
  public static final int STOP = 6;
  public static final int ANSWER = 9;
  public static final int NEXT_STEP = 11;
  public static final int LEAVE_GAME = 12;
  public static final int END_SESSION = 13;
  public static final int GAME_INFO = 14;
  public static final int ROOM_FULL = 15;
  public static final int REQUEST_TOPIC = 20;

  public static final int CHAT = 100;
  public static final int ADD_USER = 101;
  public static final int NEW_ILLUSTRATOR = 103;
  
  // Default Server Information
  public static final String DEFAULT_IP = "71.231.78.161";
  public static final String DEFAULT_PORT = "1500";
  
  JFrame frame;
  
  public ClientModel() {
    // Decorate Windows
    JFrame.setDefaultLookAndFeelDecorated(true);
    JDialog.setDefaultLookAndFeelDecorated(true);
    
    frame = new ClientFrame();
    //frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
    int op = frame.getDefaultCloseOperation();
    frame.setDefaultCloseOperation(JFrame.DO_NOTHING_ON_CLOSE);
    frame.show();
  }
  
  /* Run the application */
  public static void main(String[] args) {
    ClientModel cm = new ClientModel();
  }
}

