/**
 * Parses messages
 * @version 1.0 final release
 * @author David Couvrette
 */
public class MessageParser {
  
  /**
   * Gets the tag of a message by splitting
   * it by the '_' character
   * @param s The tagID and the message
   * @return The tagID
   */
  public static int getTag(String s) {
    int i = s.indexOf("_");
    if (i == -1)
      throw new IllegalArgumentException();
    String tag = s.substring(0, i);
    return Integer.parseInt(tag);
  }
  
  /**
   * Gets the part of a string after the first '_'
   * Use to get the message
   * @param s The message and the tagID
   * @return The message without the tagID
   */
  public static String getMsg(String s) {
    int i = s.indexOf("_");
    if (i == -1)
      throw new IllegalArgumentException();
    String msg = s.substring(i + 1);
    return msg;
  }
}