import javax.swing.*;
import java.net.*;
import java.io.*;

public class Client implements Runnable {
  
  JFrame frm;
  Socket s;
  OutputStreamWriter out;
  public String message;
  
  public Client(String ip, String port) {
    message = null;
    frm = new JFrame("Client");
    frm.setSize(200, 200);
    frm.setDefaultCloseOperation(JFrame.DISPOSE_ON_CLOSE);
    frm.getContentPane().setBackground(java.awt.Color.WHITE);
    frm.setVisible(true);
    try {
      s = new Socket(ip, Integer.parseInt(port));
      out = new OutputStreamWriter(s.getOutputStream());
      Thread t = new Thread(this);
      t.start();
    } catch (Exception e) {
      System.err.println(e);
    }
  }
  
  public void run() {
    try {
      InputStream in = new BufferedInputStream(s.getInputStream());
      while(true) {
        //System.out.println(in);
        String str = "";
        int c = in.read();
        //System.out.println((char)c);
        while(c != 13) {
          str += (char)c;
          c = in.read();
          //System.out.print((char)c);
        }
        System.out.println("The message is: " + str);
        message = str;
        
        //System.out.println(str);
      }
    } catch (IOException e) {
      System.err.println("Error in run");
    }
  }
  
  public void changeColor() {
    if(frm.getContentPane().getBackground().equals(java.awt.Color.GREEN)) {
      frm.getContentPane().setBackground(java.awt.Color.BLUE);
    } else {
      frm.getContentPane().setBackground(java.awt.Color.GREEN);
    }
  }
  
  public void sendMsg(String msg) {
    System.out.println("The message I'm sending " + msg);
    try {
      out.write(msg + '\r');
      out.flush();
    } catch (IOException e) {
      System.err.println("Couldn't send");
    }
  }
  
  // args[0] = ip address
  // args[1] = port number
  public static void main(String[] args) {
    Client cl = new Client(args[0], args[1]);
  }
}