import junit.framework.TestCase;

/**
 * Tests basic message handlers for the server
 */


public class ExternalServerTest extends TestCase {
  
  public static final String IP = "71.231.78.161";
  public static final String PORT = "1500";
  public static final int SLEEP_TIME = 1;
  
  private Client c1;
  private Client c2;
  private Client c3;
  private Client c4;
  
  private String prevMessage;
  
  // set up the tests
  // this is run before each test
  protected void setUp() {
    prevMessage = new String(); // place holder
    c1 = new Client(IP, PORT);
    c2 = new Client(IP, PORT);
    c3 = new Client(IP, PORT);
    c4 = new Client(IP, PORT);
  }
  
  private void sleep(long s) {
    try {
      Thread.currentThread().sleep(s * 1000);
    }
    catch (InterruptedException e) {
      e.printStackTrace();
    }
  }
  
  // tests setUserName
  public void testSetUserName() {
    c1.message = null;
    c1.sendMsg("1_David");

    sleep(SLEEP_TIME);
    if (c1.message == null)
      System.err.println("Reply timed out");
    assertEquals("1_", c1.message);
    
    c1.message = null;
    c1.sendMsg("1_Calvin");
    sleep(SLEEP_TIME);
    if (c1.message == null)
      System.err.println("Reply timed out");
    assertEquals("1_", c1.message);
    
    c1.message = null;
    c1.sendMsg("1_Calvin");

    sleep(SLEEP_TIME);
    if (c1.message == null)
      System.err.println("Reply timed out");
    assertEquals("01_", c1.message);
  }
  
  public void testCreateGame() {
    c1.message = null;
    c1.sendMsg("3_Game1");
    sleep(SLEEP_TIME);
    if (c1.message == null)
      System.err.println("Reply timed out");
    assertEquals("3_", c1.message);
    
    c2.message = null;
    c2.sendMsg("3_Game2");
    sleep(SLEEP_TIME);
    if (c2.message == null)
      System.err.println("Reply timed out");
    assertEquals("3_", c2.message);
    
    c3.message = null;
    c3.sendMsg("3_Game1");
    sleep(SLEEP_TIME);
    if (c3.message == null)
      System.err.println("Reply timed out");
    assertEquals("03_", c3.message);
  }
  
  public void testJoinGame() {
    c1.message = null;
    c1.sendMsg("3_Game10");
    sleep(SLEEP_TIME);
    if (c1.message == null)
      System.err.println("Reply timed out");
    System.err.println(c1.message);
    assertEquals("3_", c1.message);
    
    c2.message = null;
    c2.sendMsg("4_Game10");
    sleep(SLEEP_TIME);
    if (c2.message == null)
      System.err.println("Reply timed out");
    assertEquals("4_", c2.message);
    
    c3.message = null;
    c3.sendMsg("4_Game10");
    sleep(SLEEP_TIME);
    if (c2.message == null)
      System.err.println("Reply timed out");
    assertEquals("4_", c3.message);
    
    c4.message = null;
    c4.sendMsg("4_Game20");
    sleep(SLEEP_TIME);
    if (c4.message == null)
      System.err.println("Reply timed out");
    assertEquals("04_", c4.message);
  }
  
  public void testSendGameList() {
    c1.message = null;
    c1.sendMsg("14_");
    sleep(SLEEP_TIME);
    if (c1.message == null)
      System.err.println("Reply timed out");
    assertEquals("14_Game2-y_Game1-y_Game10-y", c1.message);
  }
}